Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class WSDLDataLocator

    java.lang.Object
      org.apache.axis2.dataretrieval.BaseAxisDataLocator
          org.apache.axis2.dataretrieval.WSDLDataLocator

All Implemented Interfaces:
  AxisDataLocator

    public class WSDLDataLocator

extends BaseAxisDataLocator
implements AxisDataLocator

Axis 2 Data Locator responsibles for retrieving WSDL metadata.

Field Summary

Fields inherited from class org.apache.axis2.dataretrieval.BaseAxisDataLocator
`dataList`

Constructor Summary
`protected` | `WSDLDataLocator()`
`protected` | `WSDLDataLocator(ServiceData[] data)` Constructor

Method Summary
`Data[]` | `getData(DataRetrievalRequest request, MessageContext msgContext)` getData API Implement data retrieval logic for WSDL dialect
`protected Data[]` | `outputInlineForm(MessageContext msgContext, ServiceData[] dataList)`
`protected Data[]` | `outputLocationForm(ServiceData[] serviceData)`

Methods inherited from class org.apache.axis2.dataretrieval.BaseAxisDataLocator
`getOutputForm, outputReferenceForm, setServiceData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLDataLocator

    protected WSDLDataLocator()

### WSDLDataLocator

    protected WSDLDataLocator(ServiceData[] data)

  Constructor

  Parameters:
    `data` - an array of ServiceData instance defined in the ServiceData.xml for the WSDL dialect.

Method Detail

### getData

    public Data[] getData(DataRetrievalRequest request,
                          MessageContext msgContext)
                   throws DataRetrievalException

  getData API Implement data retrieval logic for WSDL dialect

  Specified by:
    `getData` in interface `AxisDataLocator`
  Overrides:
    `getData` in class `BaseAxisDataLocator`
  Parameters:
    `request` - The `DataRetrievalRequest` allow to specify parameters about the request, and additional information to process the request.
    `msgContext` - The `MessageContext` from the original request.
  Returns:
    `Data`[] for the request.
  Throws:
    `DataRetrievalException`

### outputInlineForm

    protected Data[] outputInlineForm(MessageContext msgContext,
                                      ServiceData[] dataList)
                               throws DataRetrievalException

  Overrides:
    `outputInlineForm` in class `BaseAxisDataLocator`
  Throws:
    `DataRetrievalException`

### outputLocationForm

    protected Data[] outputLocationForm(ServiceData[] serviceData)
                                 throws DataRetrievalException

  Overrides:
    `outputLocationForm` in class `BaseAxisDataLocator`
  Throws:
    `DataRetrievalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.